Skip to main content
GET
/
api
/
v2
/
campaigns
/
analytics
/
overview
Get campaign(s) analytics overview
curl --request GET \
  --url https://api.instantly.ai/api/v2/campaigns/analytics/overview \
  --header 'Authorization: Bearer <token>'
{
  "open_count": 800,
  "open_count_unique": 800,
  "open_count_unique_by_step": 800,
  "link_click_count": 800,
  "link_click_count_unique": 800,
  "link_click_count_unique_by_step": 800,
  "reply_count": 300,
  "reply_count_unique": 300,
  "reply_count_unique_by_step": 300,
  "reply_count_automatic": 50,
  "reply_count_automatic_unique": 45,
  "reply_count_automatic_unique_by_step": 45,
  "bounced_count": 50,
  "unsubscribed_count": 20,
  "completed_count": 1100,
  "emails_sent_count": 5000,
  "contacted_count": 4500,
  "new_leads_contacted_count": 200,
  "total_opportunities": 10,
  "total_opportunity_value": 1000,
  "total_interested": 103,
  "total_meeting_booked": 45,
  "total_meeting_completed": 12,
  "total_closed": 10
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string<uuid>

A campaign ID to get the analytics overview for. Leave this field empty to get the analytics overview for all campaigns

Example:

"019cc043-e30f-70d3-8cd6-71d40c6448b9"

ids
string<uuid>[]

A list of campaign IDs to get the analytics overview for. Leave this field empty to get the analytics overview for all campaigns. You can specify multiple IDs by adding the same parameter multiple times, for instance: /campaigns/analytics/overview?ids=123&ids=456

start_date
string

Start date

Example:

"2024-01-01"

end_date
string

End date

Example:

"2024-01-01"

campaign_status
enum<number>

Filter by campaign status (only the analytics for the campaigns with the specified status will be returned)

Available options:
-99,
-1,
-2,
0,
1,
2,
3,
4
Example:

1

expand_crm_events
boolean
default:false

When true, calculates the total of all the lead interest status update events instead of only the first occurrence for each contact. This will affect the following fields: total_opportunities, total_interested, total_meeting_booked, total_meeting_completed, and total_closed. Example: if a lead goes from interested to meeting booked to closed, it will count as 3 events (total_interested: 1, total_meeting_booked_1, and total_closed: 1) when this parameter is set to true, and as 1 event (total_interested) when it is set to false (default).

Example:

true

Response

Default Response

open_count
integer

The total number of times the emails were opened, including duplicates

Example:

800

open_count_unique
integer

The number of emails that got opened (for the first time only)

Example:

800

open_count_unique_by_step
integer

The unique number of times the emails were opened (counted once per lead, step, and campaign)

Example:

800

The number of links that got clicked

Example:

800

The number of links that got clicked (for the first time)

Example:

800

The unique number of links that got clicked, per step (counted once per lead, step, and campaign)

Example:

800

reply_count
integer

The total number of replies received (if a lead replies multiple times, each reply is counted)

Example:

300

reply_count_unique
integer

The number of unique replies (first reply per lead). Excludes automatic replies.

Example:

300

reply_count_unique_by_step
integer

The number of unique replies per step (first reply per lead per step). Excludes automatic replies.

Example:

300

reply_count_automatic
integer

The total number of automatic replies received (e.g., out-of-office)

Example:

50

reply_count_automatic_unique
integer

The number of unique leads that sent automatic replies

Example:

45

reply_count_automatic_unique_by_step
integer

The unique number of automatic replies per step (counted once per lead, step, and campaign)

Example:

45

bounced_count
integer

The number of bounced leads

Example:

50

unsubscribed_count
integer

The number of unsubscribed leads

Example:

20

completed_count
integer

The number of leads that the campaign was completed for

Example:

1100

emails_sent_count
integer

The total number of sent emails

Example:

5000

contacted_count
integer

The total number of unique leads contacted

Example:

4500

new_leads_contacted_count
integer

The total number of new leads contacted

Example:

200

total_opportunities
integer

The total number of unique opportunities created

Example:

10

total_opportunity_value
number

The total value of opportunities created

Example:

1000

total_interested
integer

The total number of interested opportunities created

Example:

103

total_meeting_booked
integer

The total number of meeting booked opportunities created

Example:

45

total_meeting_completed
integer

The total number of meeting completed opportunities created

Example:

12

total_closed
integer

The total number of closed opportunities created

Example:

10